window.Gleam.initSearch([{"doc":"rizzo","title":"rizzo","content":"# rizzo\n\n[![Package Version](https://img.shields.io/hexpm/v/rizzo)](https://hex.pm/packages/rizzo)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/rizzo/)\n\n🐀 Basic utility functions for working with rational numbers.  A `Rational` is an opaque type that holds two `Integer`s,\nrepresenting the numerator and denominator of an exact fraction.\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add rizzo\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/rizzo&gt;.\n\n## Contributing\n\nThis is the first package I&#39;ve tried writing.  This is still in early stages, and I&#39;m still working on the documentation and tests.\nIf you&#39;ve got any suggestions or bug reports, don&#39;t hesitate to open an issue or make a PR.","url":"index.html"},{"doc":"rational","title":"Rational","content":"pub opaque type Rational\n\n\nSynonyms:\nrational.Rational\nrational Rational","url":"rational.html#Rational"},{"doc":"rational","title":"absolute_value","content":"pub fn absolute_value(a: Rational) -&gt; Rational\n\nSynonyms:\nrational.absolute_value\nrational absolute_value","url":"rational.html#absolute_value"},{"doc":"rational","title":"add","content":"pub fn add(a: Rational, b: Rational) -&gt; Rational\n Adds two rational numbers.\n \nSynonyms:\nrational.add\nrational add","url":"rational.html#add"},{"doc":"rational","title":"compare","content":"pub fn compare(a: Rational, b: Rational) -&gt; Order\n Compares two rational numbers, returning an `Order` type that describes their relationship\nSynonyms:\nrational.compare\nrational compare","url":"rational.html#compare"},{"doc":"rational","title":"divide","content":"pub fn divide(a: Rational, b: Rational) -&gt; Result(Rational, Nil)\n\nSynonyms:\nrational.divide\nrational divide","url":"rational.html#divide"},{"doc":"rational","title":"from_float","content":"pub fn from_float(from f: Float, to_nearest inc: Rational) -&gt; Rational\n Creates a new rational number from a float, rounding it to the nearest rational increment.\n \nSynonyms:\nrational.from_float\nrational from_float","url":"rational.html#from_float"},{"doc":"rational","title":"from_int","content":"pub fn from_int(from: Int) -&gt; Rational\n Creates a new rational number from an integer.\nSynonyms:\nrational.from_int\nrational from_int","url":"rational.html#from_int"},{"doc":"rational","title":"multiply","content":"pub fn multiply(a: Rational, b: Rational) -&gt; Rational\n Multiplies two rational numbers.\n \nSynonyms:\nrational.multiply\nrational multiply","url":"rational.html#multiply"},{"doc":"rational","title":"new","content":"pub fn new(num: Int, den: Int) -&gt; Result(Rational, Nil)\n Creates a new rational number from a numerator (top of the fraction) and denominator (bottom).\n \nSynonyms:\nrational.new\nrational new","url":"rational.html#new"},{"doc":"rational","title":"new_improper","content":"pub fn new_improper(whole: Int, num: Int, den: Int) -&gt; Result(\n  Rational,\n  Nil,\n)\n Creates a new rational number from an improper fraction,\n which has a whole number part as well as a numerator and denominator.\n \nSynonyms:\nrational.new_improper\nrational new_improper","url":"rational.html#new_improper"},{"doc":"rational","title":"pow","content":"pub fn pow(a: Rational, n: Int) -&gt; Rational\n\nSynonyms:\nrational.pow\nrational pow","url":"rational.html#pow"},{"doc":"rational","title":"reciprocal","content":"pub fn reciprocal(a: Rational) -&gt; Rational\n\nSynonyms:\nrational.reciprocal\nrational reciprocal","url":"rational.html#reciprocal"},{"doc":"rational","title":"subtract","content":"pub fn subtract(a: Rational, b: Rational) -&gt; Rational\n Subtracts two rational numbers.\n \nSynonyms:\nrational.subtract\nrational subtract","url":"rational.html#subtract"},{"doc":"rational","title":"to_float","content":"pub fn to_float(r: Rational) -&gt; Float\n Returns the neaerest float to the rational number.\n \nSynonyms:\nrational.to_float\nrational to_float","url":"rational.html#to_float"},{"doc":"rational","title":"to_mixed_fraction","content":"pub fn to_mixed_fraction(r: Rational) -&gt; #(Int, Rational)\n Takes a rational number and returns it as a tuple representing a mixed fraction, with a whole \n part and a fractional part.\nSynonyms:\nrational.to_mixed_fraction\nrational to_mixed_fraction","url":"rational.html#to_mixed_fraction"},{"doc":"rational","title":"truncate","content":"pub fn truncate(r: Rational) -&gt; Int\n\nSynonyms:\nrational.truncate\nrational truncate","url":"rational.html#truncate"},{"doc":"rational","title":"rational","content":"","url":"rational.html"}]);